| DocBook: The Definitive Guide Version 2.0.8 (Alpha)

# classsynopsisinfo

$Revision: 1.2 $

$Date: 2002/06/11 01:19:54 $

classsynopsisinfo — Information supplementing the contents of a `ClassSynopsis`

## Synopsis

### Mixed Content Model

    classsynopsisinfo ::=
    (#PCDATA|link|olink|ulink|action|application|classname|methodname|
     interfacename|exceptionname|ooclass|oointerface|ooexception|
     command|computeroutput|database|email|envar|errorcode|errorname|
     errortype|errortext|filename|function|guibutton|guiicon|guilabel|
     guimenu|guimenuitem|guisubmenu|hardware|interface|keycap|keycode|
     keycombo|keysym|literal|constant|markup|medialabel|menuchoice|
     mousebutton|option|optional|parameter|prompt|property|
     replaceable|returnvalue|sgmltag|structfield|structname|symbol|
     systemitem|token|type|userinput|varname|nonterminal|anchor|
     remark|subscript|superscript|inlinegraphic|inlinemediaobject|
     indexterm|beginpage|textobject|lineannotation)*

### Attributes

Common attributes

Name | Type | Default

format

Enumerated notation:
linespecific

"linespecific"

linenumbering

Enumeration:
numbered
unnumbered

None

## Description

Supplementary information in a `ClassSynopsis`. See `ClassSynopsis`.

Unlike the other info elements, `ClassSynopsisInfo` is not a container for meta-information. Instead `ClassSynopsisInfo` is a verbatim environment for adding additional information to a class synopsis.

### Processing expectations

This element is displayed “verbatim”; whitespace and linebreaks within this element are significant.

### Parents

These elements contain classsynopsisinfo: `classsynopsis`.

### Children

The following elements occur in classsynopsisinfo: `action`, `anchor`, `application`, `beginpage`, `classname`, `command`, `computeroutput`, `constant`, `database`, `email`, `envar`, `errorcode`, `errorname`, `errortext`, `errortype`, `exceptionname`, `filename`, `function`, `guibutton`, `guiicon`, `guilabel`, `guimenu`, `guimenuitem`, `guisubmenu`, `hardware`, `indexterm`, `inlinegraphic`, `inlinemediaobject`, `interface`, `interfacename`, `keycap`, `keycode`, `keycombo`, `keysym`, `lineannotation`, `link`, `literal`, `markup`, `medialabel`, `menuchoice`, `methodname`, `mousebutton`, `nonterminal`, `olink`, `ooclass`, `ooexception`, `oointerface`, `option`, `optional`, `parameter`, `prompt`, `property`, `remark`, `replaceable`, `returnvalue`, `sgmltag`, `structfield`, `structname`, `subscript`, `superscript`, `symbol`, `systemitem`, `textobject`, `token`, `type`, `ulink`, `userinput`, `varname`.

## Attributes

format

  The `Format` attribute applies the `linespecific` notation to all `ClassSynopsisInfo`s. All white space and line breaks must be preserved.

linenumbering

  Line numbering indicates whether or not the lines of a `ClassSynopsisInfo` are to be automatically numbered. The details of numbering (every line or only selected lines, on the left or right, etc.) are left up to the processing application. Be aware that not all processors are capable of numbering lines.

classsynopsis |  | cmdsynopsis

Copyright © 1999, 2000, 2001, 2002 O'Reilly & Associates, Inc. All rights reserved.